Subject: bug#13552: 24.3.50; glitch in Info formatting for cross reference

From: "Drew Adams" <[email-masked]>
Date: Sat, 26 Jan 2013 07:45:22 -0800

> > (elisp) `The Mark' shows this to the user:
> >  
> >      If `shift-select-mode' is non-`nil' and the current command was
> >      invoked via shift translation (see shift-translation
> >      .), this function sets the mark and temporarily
> >      activates the region, unless the region was already temporarily
> >      activated in this way.  Otherwise, if the region has 
> >      been activated
> >      temporarily, it deactivates the mark and restores the variable
> >      `transient-mark-mode' to its earlier value.
> >  
> > The problem is the visual newline between `shift-translation' and
> > `.'.  This is a no-no.
> 
> That's because what info.el does is put an invisible text property on
> a part of the cross-reference that is deemed "unimportant".  You can
> turn off this behavior by customizing Info-hide-node-references.

Yes, I know.  That's the cause underlying the bug: incomplete implementation of
the prettying-up/hiding.

Pointing to the user option is a red herring wrt the bug, amounting to "if it
hurts don't do that".  But yes, workarounds for bugs, including turning off
bugged features are good to have.

I remind you of the proposal (with patch) to optionally let users highlight
`...' and "..." in Info.  It was rejected because there are a (very) few places
where a node has an extra " (e.g. ?"), which makes it not work perfectly for
those places.  Being able to turn off a feature that is not perfect is good, but
it does not mean that the feature works 100%.

That we have such hiding is a good thing.  I do not at all argue, as was decided
in the `...', "..." case, that the feature should not be in Emacs.

That we have a way to turn it off is also a good thing.  The bug is still there,
however.  I don't know how feasible/easy it is to fix.